<bugID>1237598<Summary>Cleanup DebuggerClient from callbacks now that APIs return promises</Summary><Description>Followup of bug 1227978 and bug 1227474.
All DebuggerClient APIs should now return promises.
Before that, APIs were passing a callback as last argument.
There should be now more usages of these callbacks and it should be safe to remove this.

This only thing is that it will certainly break addons using this old way of doing. We may start with uncommon clients and keep the clean of very common client like listTabs for later?</Description></bugID>